TextHeight Example |
Using Programming Languages other than VBA
Sub Example_TextHeight() ' This example creates an aligned dimension in model space and ' uses the TextHeight property to increase the height of the ' dimension text Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 5.5: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll ' Read and display current dimension text height MsgBox "The dimension text height for this object is currently set to: " & dimObj.textHeight ' Increase the distance of the dimension gap dimObj.textHeight = 1 ThisDrawing.Regen acAllViewports ' Read and display current dimension text height MsgBox "The dimension text height for this object is now set to: " & dimObj.textHeight End Sub
Comments? |